[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.DoFloatMsg

Handler called when the control starts floating.

## Declaration

Source position: controls.pp line 2253

`protected procedure TWinControl.DoFloatMsg(`
`ADockSource: TDragDockObject`
`); override;`

## Description

A TWinControl can be floated as a stand-alone window, unless they request a special FloatingDockSiteClass.

## See also

TControl.DoFloatMsg |  | Handler called when the control starts floating.